package sklep;

import java.math.BigDecimal;
import java.math.RoundingMode;

public class Towar {
	private int id;
	private String nazwa;
	private BigDecimal cenaNetto;
	private BigDecimal vat;
	
	public Towar(int id, String nazwa, BigDecimal cenaNetto, BigDecimal vat) {
		this.id = id;
		this.nazwa = nazwa;
		this.cenaNetto = cenaNetto;
		this.vat = vat;
	}

	public Towar(int id, String nazwa, String cenaNetto, String vat) {
		this(id, nazwa, new BigDecimal(cenaNetto), new BigDecimal(vat));
	}

	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNazwa() {
		return nazwa;
	}

	public void setNazwa(String nazwa) {
		this.nazwa = nazwa;
	}

	public BigDecimal getCenaNetto() {
		return cenaNetto;
	}

	public void setCenaNetto(BigDecimal cenaNetto) {
		this.cenaNetto = cenaNetto.setScale(2, RoundingMode.HALF_UP);
	}

	public BigDecimal getVat() {
		return vat;
	}

	public void setVat(BigDecimal vat) {
		this.vat = vat;
	}
	
	@Override
	public String toString() {
		return String.format("Towar nr %d: %s, cena: %s", id, nazwa, cenaNetto);
	}

	public BigDecimal getCenaBrutto() {
		// (1 + vat) * cenaNetto
		return BigDecimal.ONE.add(vat)
				.multiply(cenaNetto)
				.setScale(2, RoundingMode.HALF_UP);
	}
	
	
}
